Skip to content

抖音星图 API - 作者搜索 (V1)

prod-global
GET
/api/douyin-xingtu/gw/api/gsearch/search_for_author_square/v1

使用筛选条件搜索作者。

请求参数

参数名位置类型必填说明
tokenquerystring用户鉴权令牌。
keywordquerystring搜索关键词。
searchTypequerystring搜索条件类型。

可用值:
- NICKNAME: 按昵称
- CONTENT: 按内容
followerRangequerystring粉丝数量范围(例如:10-100)。
kolPriceTypequerystringKOL 价格类型。

可用值:
- 视频1_20s: 视频 1-20 秒
- 视频21_60s: 视频 21-60 秒
- 视频60s以上: 视频 > 60 秒
- 定制短剧单集: 定制短剧单集
- 千次自然播放量: 千次自然播放量
- 短直种草视频: 短直种草视频
- 短直预热视频: 短直预热视频
- 短直明星种草: 短直明星种草
- 短直明星预热: 短直明星预热
- 明星视频: 明星视频
- 合集视频: 合集视频
- 抖音短视频共创_主投稿达人: 抖音短视频共创 - 主投稿达人
- 抖音短视频共创_参与达人: 抖音短视频共创 - 参与达人
kolPriceRangequerystringKOL 价格范围(例如:10000-50000)。
contentTagquerystring内容标签筛选。

代码示例

💡 环境说明

默认示例使用 https://api.justoneapi.com (prod-global)。中国大陆地区建议替换为 http://47.117.133.51:30015 (prod-cn) 以获得更好的访问体验。详见 环境选择

bash
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/douyin-xingtu/gw/api/gsearch/search_for_author_square/v1?token=YOUR_API_KEY"
text
我想使用 Just One API 提供的“作者搜索 (V1)”接口。
接口地址: https://api.justoneapi.com/api/douyin-xingtu/gw/api/gsearch/search_for_author_square/v1
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/douyin-xingtu-apis/author-search-v1-zh.json

请求参数说明:
- token (query): 用户鉴权令牌。 (必填)
- keyword (query): 搜索关键词。
- searchType (query): 搜索条件类型。

可用值:
- `NICKNAME`: 按昵称
- `CONTENT`: 按内容
- followerRange (query): 粉丝数量范围(例如:10-100)。
- kolPriceType (query): KOL 价格类型。

可用值:
- `视频1_20s`: 视频 1-20 秒
- `视频21_60s`: 视频 21-60 秒
- `视频60s以上`: 视频 > 60 秒
- `定制短剧单集`: 定制短剧单集
- `千次自然播放量`: 千次自然播放量
- `短直种草视频`: 短直种草视频
- `短直预热视频`: 短直预热视频
- `短直明星种草`: 短直明星种草
- `短直明星预热`: 短直明星预热
- `明星视频`: 明星视频
- `合集视频`: 合集视频
- `抖音短视频共创_主投稿达人`: 抖音短视频共创 - 主投稿达人
- `抖音短视频共创_参与达人`: 抖音短视频共创 - 参与达人
- kolPriceRange (query): KOL 价格范围(例如:10000-50000)。
- contentTag (query): 内容标签筛选。

返回格式: JSON

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 余额不足

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/douyin-xingtu/gw/api/gsearch/search_for_author_square/v1?token=YOUR_API_KEY"
response = requests.get(url)
print(response.json())
js
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/douyin-xingtu/gw/api/gsearch/search_for_author_square/v1?token=YOUR_API_KEY", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/douyin-xingtu/gw/api/gsearch/search_for_author_square/v1?token=YOUR_API_KEY"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/douyin-xingtu/gw/api/gsearch/search_for_author_square/v1?token=YOUR_API_KEY"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/douyin-xingtu/gw/api/gsearch/search_for_author_square/v1?token=YOUR_API_KEY");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

响应结果

json
{
  "code": 0,
  "data": {
    "authors": [
      {
        "attribute_datas": {
          "author_avatar_frame_icon": "0",
          "author_ecom_level": "L4",
          "author_level_game": "Lv1",
          "author_level_other": "Lv1",
          "author_status": "1",
          "author_thin_mid_word_association_index": "{\"清爽\":0.003}",
          "author_type": "3",
          "avatar_uri": "https://p3.douyinpic.com/aweme/1080x1080/aweme-avatar/tos-cn-avt-0015_a4391e9fc88a3ed36b0448661f82bc...",
          "brand_boost_vv": "0",
          "city": "",
          "content_theme_labels_180d": "[\"异国旅行\",\"海外旅行\",\"美食探店\",\"家庭生活记录\",\"环球影城之旅\",\"游乐园游玩\",\"三角洲新赛季\",\"个人模仿秀\",\"游戏赛事指南\",\"游戏体验展示\"]",
          "core_user_id": "84990209480",
          "e_commerce_enable": "1",
          "ecom_avg_order_value_30d_range": "50-200",
          "ecom_gmv_30d_range": ">100w",
          "ecom_gpm_30d_range": "1000-3000",
          "ecom_score": "89",
          "ecom_video_product_num_30d": "0",
          "ecom_watch_pv_30d": "1.3",
          "expected_cpa3_level": "4",
          "expected_natural_play_num": "4532776",
          "expected_play_num": "3535761",
          "fans_increment_rate_within_15d": "-0.00033109494533874244",
          "fans_increment_within_15d": "-21105",
          "fans_increment_within_30d": "8352287.33",
          "follower": "63747138",
          "game_type": "{\"\\u5c04\\u51fb\": 1.0}",
          "gender": "1",
          "grade": "0",
          "id": "6855230644880949262",
          "interact_rate_within_30d": "0.033",
          "is_black_horse_author": "false",
          "is_cocreate_author": "false",
          "is_cpm_project_author": "0",
          "is_excellenct_author": "0",
          "is_short_drama": "0",
          "last_10_items": "[{\"comment_cnt\":\"1138\",\"is_high_quality_item\":\"0\",\"item_create_time\":\"1772962802\",\"item_id\":\"7614816...",
          "link_convert_index": "99.48",
          "link_convert_index_by_industry": "99.48",
          "link_i_cnt_by_industry": "29863242",
          "link_k_cnt_by_industry": "74458",
          "link_l_cnt_by_industry": "42264967",
          "link_link_cnt_by_industry": "96324334",
          "link_n_cnt_by_industry": "24121667",
          "link_recommend_index_by_industry": "94.3",
          "link_shopping_index": "94.3",
          "link_spread_index": "94.28",
          "link_spread_index_by_industry": "94.28",
          "link_star_index": "86.28",
          "link_star_index_by_industry": "86.28",
          "link_user_type_by_industry": "2",
          "local_lower_threshold_author": "false",
          "nick_name": "陈赫",
          "pic_brand_boost": "false",
          "pic_brand_boost_vv": "0",
          "pic_expected_play_num": "566107",
          "play_over_rate_within_30d": "0.2841",
          "price_1_20": "270000",
          "price_20_60": "337500",
          "promotion_prospective_1_20_cpm": "58.89",
          "promotion_prospective_20_60_cpm": "73.62",
          "promotion_prospective_vv": "4584657",
          "prospective_1_20_cpm": "76.3626",
          "prospective_20_60_cpm": "95.4533",
          "province": "上海市",
          "search_after_view_index_by_industry": "98.99",
          "sn_expected_play_num": "3535761",
          "sn_interact_rate_within_30d": "0.033",
          "sn_play_over_rate_within_30d": "0.2841",
          "sn_prospective_1_20_cpe": "3.1892",
          "sn_prospective_1_20_cpm": "76.3626",
          "sn_prospective_20_60_cpe": "3.9865",
          "sn_prospective_20_60_cpm": "95.4533",
          "star_excellent_author": "0",
          "star_index": "66.53827749888086",
          "star_qianchuan_high_potential": "0",
          "star_whispers_author": "0",
          "tags_relation": "{\"影视娱乐\":[\"明星资讯\"]}",
          "video_brand_boost": "false",
          "video_brand_boost_vv": "0"
        },
        "extra_data": {
          "content_query_from_word": "",
          "content_query_score": 0,
          "debug_info": "",
          "demander_behavior": {
            "added_author_list": false,
            "cooperated": false,
            "viewd_author_page": false
          },
          "recall_from": [
            "1_0"
          ],
          "recall_return_infos": {},
          "recommend_types": []
        },
        "items": [
          {
            "item_id": "7604417718469233650",
            "video_tag": 3,
            "vv": 67750569
          }
        ],
        "star_id": "6855230644880949262",
        "task_infos": [
          {
            "online_status": 2,
            "platform_source": 1,
            "price_infos": [
              {
                "end_time": "2145916800",
                "platform_source": 1,
                "price": 337500,
                "price_extra_info": {},
                "start_time": "1757062015",
                "task_category": 1,
                "video_type": 2,
                "video_type_status": 1
              }
            ],
            "task_category": 1,
            "task_status": 1
          }
        ]
      }
    ],
    "base_resp": {
      "status_code": 0,
      "status_message": ""
    },
    "extra_data": {
      "intent_score": 0.6370054483413696,
      "is_cpm_project_search": false,
      "is_intent_consistent": true,
      "search_author_count": 0,
      "search_item_count": 0,
      "search_session_id": "7615252989129637942"
    },
    "pagination": {
      "has_more": true,
      "limit": 20,
      "page": 1,
      "total_count": 10000
    }
  }
}

💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。